#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	python3
#-----------------------------------------------------------------------------
Name		:	libpwquality
Version		:	1.4.5
Release		:	16.2.0.rel%{?dist}
Summary		:	A library for password generation and password quality checking
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD or GPLv2+
URL		:	https://github.com/libpwquality/libpwquality/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	cracklib-devel
#-----------------------------------------------------------------------------
%description
This is a library for password quality checks and generation
of random passwords that pass the checks.
This library uses the cracklib and cracklib dictionaries
to perform some of the checks.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/security/pwquality.conf
%{_includedir}/pwquality.h
%{_bindir}/pwmake
%{_bindir}/pwscore
%{_libdir}/%{name}.so*
%{_libdir}/security/pam_pwquality.so
%{_libdir}/pkgconfig/pwquality.pc
%{python3_sitelib}/pwquality-%{version}-*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--disable-static				\
	--with-securedir=%{_libdir}/security		\
	--with-python-binary=%{__python}		\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
